package com.kingdee.eas.custom.attendanceexception;

import java.io.Serializable;
import com.kingdee.bos.dao.AbstractObjectValue;
import java.util.Locale;
import com.kingdee.util.TypeConversionUtils;
import com.kingdee.bos.util.BOSObjectType;


public class AbstractAttendanceExceptionLogInfo extends com.kingdee.eas.framework.CoreBillBaseInfo implements Serializable 
{
    public AbstractAttendanceExceptionLogInfo()
    {
        this("id");
    }
    protected AbstractAttendanceExceptionLogInfo(String pkField)
    {
        super(pkField);
    }
    /**
     * Object:考勤异常消息记录表's 是否生成凭证property 
     */
    public boolean isFivouchered()
    {
        return getBoolean("Fivouchered");
    }
    public void setFivouchered(boolean item)
    {
        setBoolean("Fivouchered", item);
    }
    /**
     * Object:考勤异常消息记录表's 推送结果property 
     */
    public String getPushResult()
    {
        return getString("pushResult");
    }
    public void setPushResult(String item)
    {
        setString("pushResult", item);
    }
    /**
     * Object:考勤异常消息记录表's 推送类型property 
     */
    public com.kingdee.eas.custom.attendanceexception.bizEnum.PushTypeEnum getPushType()
    {
        return com.kingdee.eas.custom.attendanceexception.bizEnum.PushTypeEnum.getEnum(getString("pushType"));
    }
    public void setPushType(com.kingdee.eas.custom.attendanceexception.bizEnum.PushTypeEnum item)
    {
		if (item != null) {
        setString("pushType", item.getValue());
		}
    }
    /**
     * Object:考勤异常消息记录表's 消息接口回参property 
     */
    public String getMessageResponse()
    {
        return getString("messageResponse");
    }
    public void setMessageResponse(String item)
    {
        setString("messageResponse", item);
    }
    /**
     * Object:考勤异常消息记录表's 消息接口入参property 
     */
    public String getMessageRequest()
    {
        return getString("messageRequest");
    }
    public void setMessageRequest(String item)
    {
        setString("messageRequest", item);
    }
    /**
     * Object:考勤异常消息记录表's 异常数据推送接口回参property 
     */
    public String getDataPushResponse()
    {
        return getString("dataPushResponse");
    }
    public void setDataPushResponse(String item)
    {
        setString("dataPushResponse", item);
    }
    /**
     * Object:考勤异常消息记录表's 异常数据推送接口入参property 
     */
    public String getDataPushRequest()
    {
        return getString("dataPushRequest");
    }
    public void setDataPushRequest(String item)
    {
        setString("dataPushRequest", item);
    }
    /**
     * Object:考勤异常消息记录表's 推送状态property 
     */
    public com.kingdee.shr.base.syssetting.CallStatusEnum getPushStatus()
    {
        return com.kingdee.shr.base.syssetting.CallStatusEnum.getEnum(getInt("pushStatus"));
    }
    public void setPushStatus(com.kingdee.shr.base.syssetting.CallStatusEnum item)
    {
		if (item != null) {
        setInt("pushStatus", item.getValue());
		}
    }
    /**
     * Object:考勤异常消息记录表's 消息idproperty 
     */
    public String getMessageId()
    {
        return getString("messageId");
    }
    public void setMessageId(String item)
    {
        setString("messageId", item);
    }
    public BOSObjectType getBOSType()
    {
        return new BOSObjectType("F478FDEB");
    }
}